
## What is a `fork`?

<div class="fragment">
<img src="img/fork.jpg" class="as-is" />
[//]: <> (http://www.cndajin.com/data/wls/246/22302193.jpg)


## Not really ...
<img src="img/fork-crossed.png" class="as-is" />


## What is a `fork`?
In general, when contributing to a repository, you only have **read** access.

<div class="fragment">
In other words, you can only **pull** (unless it is your own repository or access has been granted).

<div class="fragment">
<br>
In general, you **cannot write** changes. In other words, you do not have **push** access.

<div class="fragment">
You have to work on your **own copy**.

<div class="fragment">
<br>
In other words, you have to work on your own <font color="red">**fork**</font>.


## How to get a fork?

Browse to the original repository and click on the button `Fork`:

![Fork the repo](https://help.github.com/assets/images/help/repository/fork_button.jpg)

(Live Demo)


## Time to practice!

(Live Demo)

<br>

Fork the practice repository: <br><br>
https://git-r3lab.uni.lu/R3school/git.practice

Then, clone your fork to your home directory!

<div class="fragment">
<br>
```bash
$ git clone ssh://git@git-r3lab-server.uni.lu:8022/yourUserName/
  git.practice.git practice
```

<br>
Change to the practice directory with:
```bash
$ cd practice
```


<font color="red">
Any other rudimentary method such as

*'I simply download the `.zip` and unzip it - works like a charm!'*

shall **be avoided**!
</font>

<div class="fragment">
<br>Why?


## How to update my fork?

As you have your own fork, it will not automatically update once the original repository is update.

![bulb](img/bulb.png) You have to update it yourself!

<div class="fragment">
<br>
**More on that later!**

