
## Merge a branch

If you want your feature on the `develop` or `master` branches,
**submit a MR or a PR** via the Github/Gitlab interface.

<br>
Use the **interface** to make use of your peers to review your code!

<img src="img/branch-merge.png" class="branch-merge" />

<br>
Once merged, you can delete the branch via the interface.


## Github interface
<img src="https://assets-cdn.github.com/images/modules/logos_page/GitHub-Mark.png" alt="GitHub" style="width: 100px;"/>

Detailed information is on [help.github.com/articles/creating-a-pull-request/](https://help.github.com/articles/creating-a-pull-request/).

1. Click on **New pull request**

![New pull request](https://help.github.com/assets/images/help/pull_requests/pull-request-start-review-button.png)
<br><br>
2. Compare the branches

![Compare branches](https://help.github.com/assets/images/help/pull_requests/choose-base-and-compare-branches.png)


<ol start="3">
  <li>Assign your peer
  <br>

  ![Assigning a peer](https://help.github.com/assets/images/help/issues/issues_assigning_dropdown.png)
  </li>
</ol>


<ol start="4">
  <li>Submit the PR

  ![Submit MR](https://help.github.com/assets/images/help/pull_requests/pullrequest-send.png)</li>
</ol>
