## Homework on GitLab

This exercise has to be done on your lab computer on which `Matlab` or `octave` **are** installed.

<div class="fragment">
<br>
More information on how install these software are on [mathworks.com](www.mathworks.com]) and on [gnu.org/software/octave](gnu.org/software/octave)

<div class="fragment">
<br>
Don't forget to properly configure `git` with your username and email as explained in the training slides.


## Task

   - create a fork of the repository <br>https://git-r3lab.uni.lu/R3/R3.practice
   - commit some code
   - create a merge request on `GitLab`.


## Detailed instructions

- First, fork the [https://git-r3lab.uni.lu/R3/R3.practice](https://git-r3lab.uni.lu/R3/R3.practice) repository.

- Create the new branch `homework_myName`.

- Implement a new function (create a new file `sqrt_myName.m`) called `sqrt_myName(x)` that computes the square root of `x`.

- Rename the `test.m` file in the `test/` directory to `test_myName.m`.

- Edit the file `test.m` and change the names of the functions accordingly.


- Before submitting the merge request, verify locally that your code is running properly.
  Simply execute it
   ```sh
   $ matlab -nodesktop -nosplash < test_myName.m
   ```
   and verify that no error is reported.

- Create a merge-request.

- Assign @laurent.heirendt and your merge-request will be reviewed.

<br>
That's it!
