## Installation of `git`

<img src="img/github_app.png" class="as-is" height="200" />

**macOS**

Install *Xcode Command Line Tools*

<br>
**Windows**

Install Git Bash: <br>`https://git-scm.com/download/win`

<br>
**Linux (Ubuntu)**

```bash
$ sudo apt-get install git-all
```


## How to get started?

**Linux (Ubuntu)** and **macOS**

Start the `Terminal` or `iTerm`.

<br>
**Windows**

Start `GUI Bash`.


## Is `git` properly installed?

```bash
$ git --version
# git version 2.10.0
```